
Foreman - Feature #4478

API docs need to be localized

02/27/2014 12:46 PM - Tomáš Strachota

Status: Closed   

Priority: High   

Assignee: Martin Bacovsky   

Category: API   

Target version: 1.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1626

  

Description

We reuse information from api docs to build the CLI. Therefore we need to localize the api docs and find a way how to distribute it to

the clients. Dynamic bindings should help with this. It will also probably require support on the ApiPie side.

Related issues:

Related to Hammer CLI - Feature #3666: i18n support Closed 11/15/2013

Related to Foreman - Bug #6864: APIv2 error messages not extracted Closed 07/31/2014

Related to Foreman - Bug #9775: CR encryption key not loaded before it's chec... Closed 03/16/2015

Related to Foreman - Bug #9973: apipie doc string substitutions not working Closed 03/31/2015

Related to Foreman - Bug #10336: foreman-rake prints "Workaround for RbVmomi ... Closed 04/30/2015

Associated revisions

Revision 340df402 - 05/19/2014 11:27 PM - Martin Bačovský 

Refs #4478 - support for API lacalization

Revision ad52b0f0 - 05/20/2014 07:24 AM - Tomas Strachota 

Merge pull request #119 from mbacovsky/4478_localized_api

Refs #4478 - support for API lacalization

Revision 2656873b - 07/31/2014 03:49 AM - Martin Bacovsky

Refs #4478 - API doc strings marked for translation

Revision a59972c3 - 11/12/2014 05:07 AM - Martin Bacovsky

Fixes #4478 - API documentation localized

Revision fa24d7a1 - 02/20/2015 10:11 AM - Martin Bacovsky

Refs #4478 - copy in pre-built plugin caches on rake apipie:cache index

Revision 44c190a4 - 02/20/2015 10:46 AM - Martin Bacovsky

Refs #4478 - prebuild localized apipie cache

Revision 5e97d3c3 - 02/20/2015 10:46 AM - Martin Bacovsky

Refs #4478 - prebuild apipie cache for rubygem-foreman_discovery

Revision 65521ed3 - 02/22/2015 08:31 AM - Tom Caspy

Refs #4478 - Remove empty line in apipie.rake

History

#1 - 02/27/2014 12:47 PM - Tomáš Strachota
- Related to Feature #3666: i18n support added

#2 - 03/27/2014 12:02 PM - Martin Bacovsky

- Tracker changed from Feature to Tracker

- Status changed from New to Assigned

- Assignee set to Martin Bacovsky

- Target version set to 1.8.4

- localize apidoc strings

- fix apipie-rails to support localized docs

- fix apipie-bindings to work with localized docs

- resolve performance problem with generating cache for multiple languages

- fix hammer to use localized bindings

#3 - 07/23/2014 11:06 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

#4 - 07/23/2014 11:16 AM - Dominic Cleal

- Tracker changed from Tracker to Feature

#5 - 07/29/2014 10:27 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1626 added

- Pull request deleted ()

#6 - 07/30/2014 07:53 AM - Dominic Cleal

- Target version changed from 1.8.4 to 1.7.5

#7 - 07/31/2014 08:56 AM - Dominic Cleal

- Related to Bug #6864: APIv2 error messages not extracted added

#8 - 08/20/2014 06:48 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#9 - 09/10/2014 07:19 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#10 - 09/30/2014 10:34 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#11 - 11/12/2014 06:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a59972c32b1bfcc020251bf1700cae23f07496f8.

#12 - 11/12/2014 06:04 AM - Dominic Cleal

- translation missing: en.field_release set to 28

#13 - 02/09/2015 08:27 AM - Dominic Cleal

More PRs...

https://github.com/theforeman/foreman/pull/2104

https://github.com/theforeman/foreman-packaging/pull/426

Plus some in plugins like https://github.com/theforeman/foreman_bootdisk/pull/6 to make them use the new Foreman::Plugin interface.

#14 - 03/16/2015 10:12 AM - Dominic Cleal

- Related to Bug #9775: CR encryption key not loaded before it's checked, encryption is disabled added
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/a59972c32b1bfcc020251bf1700cae23f07496f8
https://github.com/theforeman/foreman/pull/2104
https://github.com/theforeman/foreman-packaging/pull/426
https://github.com/theforeman/foreman_bootdisk/pull/6


#15 - 03/31/2015 10:20 AM - Dominic Cleal

- Related to Bug #9973: apipie doc string substitutions not working added

#16 - 05/14/2015 03:58 AM - Dominic Cleal

- Related to Bug #10336: foreman-rake prints "Workaround for RbVmomi may not work as ComputeResource is already loaded:

#{ComputeResource}" added
